Test VCF Integration
In case if certificate is needed, will return untrusted certificate for acceptance in response.
NOTE: while providing any certificate via this API, certificateDetails field must be populated.
The VCF integration test request
"{\n \"name\" : \"TestVCFIntegration\",\n \"description\" : \"VCF adapter for test purposes\",\n \"collectorGroupId\" : \"a0fdd915-34ea-485e-95fe-3149c36cf1ef\",\n \"resourceIdentifiers\" : [ {\n \"name\" : \"SDDCManager_Hostname\",\n \"value\" : \"SDDC_manager_hostname\"\n }, {\n \"name\" : \"vcf_config_limits_file_name\",\n \"value\" : \"file_name\"\n }, {\n \"name\" : \"DomainMonitoringOnCreation\",\n \"value\" : \"false\"\n } ],\n \"certificates\" : [ ],\n \"credentialInstanceId\" : \"8a5b0218-edcb-4663-8e30-cd62b1aca527\",\n \"serviceCredentialsUsed\" : false\n}"
Provided VCF integration, successfully passed the test
"{\n \"name\" : \"TestVCFIntegration\",\n \"description\" : \"VCF adapter for test purposes\",\n \"collectorGroupId\" : \"a0fdd915-34ea-485e-95fe-3149c36cf1ef\",\n \"resourceIdentifiers\" : [ {\n \"name\" : \"SDDCManager_Hostname\",\n \"value\" : \"SDDC_manager_hostname\"\n }, {\n \"name\" : \"vcf_config_limits_file_name\",\n \"value\" : \"file_name\"\n }, {\n \"name\" : \"DomainMonitoringOnCreation\",\n \"value\" : \"false\"\n } ],\n \"certificates\" : [ ],\n \"credentialInstanceId\" : \"8a5b0218-edcb-4663-8e30-cd62b1aca527\",\n \"serviceCredentialsUsed\" : false\n}"
If test 'VCF integration' failed. Typically the service will return extra information as to why the test failed. In case if connection testing failed due to certificates, untrusted certificates will be returned for acceptance.
"{\n \"type\" : \"CertificatesError\",\n \"certificates\" : [ {\n \"integrationType\" : \"VCENTER\",\n \"certificates\" : [ {\n \"thumbprint\" : \"certificate_thumbprint\",\n \"certificateDetails\" : \"certificate_details\",\n \"issuedTo\" : \"issuedTo\",\n \"issuedBy\" : \"issuedBy\",\n \"expires\" : \"expirationDate\"\n } ]\n } ],\n \"httpStatusCode\" : 400,\n \"apiErrorCode\" : 400,\n \"message\" : \"No valid certificates were found, while testing connection. Returning provided untrusted certificates for acceptance.\"\n}"
If test 'vCenter integration' failed. Typically the service will return extra information as to why the test failed.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '}' https://{api_host}/suite-api/api/integrations/vcf/testConnection